package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/api/v1"
	"github.com/flipped-aurora/gin-vue-admin/server/middleware"
	"github.com/gin-gonic/gin"
)

type ProblemReplyRouter struct {
}

// InitProblemReplyRouter 初始化 ProblemReply 路由信息
func (s *ProblemReplyRouter) InitProblemReplyRouter(Router *gin.RouterGroup) {
	problemReplyRouter := Router.Group("problemReply").Use(middleware.OperationRecord())
	var problemReplyApi = v1.ApiGroupApp.AutoCodeApiGroup.ProblemReplyApi
	{
		problemReplyRouter.POST("createProblemReply", problemReplyApi.CreateProblemReply)   // 新建ProblemReply
		problemReplyRouter.DELETE("deleteProblemReply", problemReplyApi.DeleteProblemReply) // 删除ProblemReply
		problemReplyRouter.DELETE("deleteProblemReplyByIds", problemReplyApi.DeleteProblemReplyByIds) // 批量删除ProblemReply
		problemReplyRouter.PUT("updateProblemReply", problemReplyApi.UpdateProblemReply)    // 更新ProblemReply
		problemReplyRouter.GET("findProblemReply", problemReplyApi.FindProblemReply)        // 根据ID获取ProblemReply
		problemReplyRouter.GET("getProblemReplyList", problemReplyApi.GetProblemReplyList)  // 获取ProblemReply列表
	}
}
